Package com.oracle.truffle.object

## Class Transition.PropertyTransition

- java.lang.Object
- - com.oracle.truffle.object.Transition
  - - com.oracle.truffle.object.Transition.PropertyTransition

Direct Known Subclasses:
  `Transition.AddPropertyTransition`, `Transition.RemovePropertyTransition`, `Transition.ReplacePropertyTransition`

Enclosing class:
  Transition

    public abstract static class Transition.PropertyTransition
    extends Transition

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.Transition

`Transition.AddPropertyTransition, Transition.ObjectTypeTransition, Transition.PropertyTransition, Transition.RemovePropertyTransition, Transition.ReplacePropertyTransition, Transition.ReservePrimitiveArrayTransition`

### Constructor Summary

Constructors
`PropertyTransition​(Property property)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`Property` `getProperty()`
`int` `hashCode()`

### Methods inherited from class com.oracle.truffle.object.Transition

`getShortName, isDirect`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyTransition

    public PropertyTransition​(Property property)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Transition`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `Transition`

#### getProperty

    public Property getProperty()